diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/generic-battery-model.h ns-3.44/src/energy/model/generic-battery-model.h
--- ns-3.43/src/energy/model/generic-battery-model.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/generic-battery-model.h	2025-03-09 16:55:49.375371000 -0700
@@ -14,9 +14,9 @@
 
 #include "energy-source.h"
 
-#include <ns3/event-id.h>
-#include <ns3/nstime.h>
-#include <ns3/traced-value.h>
+#include "ns3/event-id.h"
+#include "ns3/nstime.h"
+#include "ns3/traced-value.h"
 
 namespace ns3
 {
@@ -24,7 +24,7 @@
 {
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
  *  Battery types.
  *  These are grouped according to their chemical characteristics
@@ -38,7 +38,7 @@
 };
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
  *  Battery models that described the parameters of the the battery presets.
  */
@@ -52,7 +52,7 @@
 };
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
  *  The structure containing the the parameter values that describe a
  *  battery preset.
@@ -73,7 +73,7 @@
 };
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
  *  Contains the values that form the battery presents available in this module.
  */
@@ -134,8 +134,8 @@
                                             0.8}};
 
 /**
- * \ingroup energy
- * \brief A generic battery model for  Li-Ion, NiCd, NiMh and Lead acid batteries
+ * @ingroup energy
+ * @brief A generic battery model for  Li-Ion, NiCd, NiMh and Lead acid batteries
  *
  * The generic battery model can be used to describe the discharge behavior of
  * the battery chemestries supported by the model.
@@ -144,8 +144,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -159,21 +159,21 @@
      * in the battery. This is because the battery cannot be used until Voltage = 0, only until
      * it reaches the cutoff voltage.
      *
-     * \return The initial energy stored in the fully charged battery, in Joules.
+     * @return The initial energy stored in the fully charged battery, in Joules.
      */
     double GetInitialEnergy() const override;
 
     /**
      * Implements GetSupplyVoltage.
      *
-     * \return Supply voltage at the energy source.
+     * @return Supply voltage at the energy source.
      */
     double GetSupplyVoltage() const override;
 
     /**
      * Implements GetRemainingEnergy.
      *
-     * \return Remaining energy in energy source, in Joules
+     * @return Remaining energy in energy source, in Joules
      */
     double GetRemainingEnergy() override;
 
@@ -181,7 +181,7 @@
      * Implements GetEnergyFraction. For the generic battery model, energy fraction
      * is equivalent to the remaining usable capacity (i.e. The SoC).
      *
-     * \return Energy fraction.
+     * @return Energy fraction.
      */
     double GetEnergyFraction() override;
 
@@ -193,7 +193,7 @@
     /**
      * This function sets the interval between each energy update.
      *
-     * \param interval Energy update interval.
+     * @param interval Energy update interval.
      */
     void SetEnergyUpdateInterval(Time interval);
 
@@ -203,7 +203,7 @@
      *  be set to a value bigger than the rated capacity (fully discharged) or
      *  less than 0 (fully charged).
      *
-     *  \param drainedCapacity The capacity drained so far in the battery.
+     *  @param drainedCapacity The capacity drained so far in the battery.
      */
     void SetDrainedCapacity(double drainedCapacity);
 
@@ -211,7 +211,7 @@
      * Obtain the amount of drained capacity from the battery based on the
      * integral of the current over time (Coulomb counting method).
      *
-     * \return The drainedCapacity (Ah)
+     * @return The drainedCapacity (Ah)
      */
     double GetDrainedCapacity() const;
 
@@ -219,12 +219,12 @@
      *  Calculates an estimate of the State of Charge (SoC).
      *  In essence, the amount of usable capacity remaining in the battery (%).
      *
-     *  \return The percentage of usable capacity remaining in the battery.
+     *  @return The percentage of usable capacity remaining in the battery.
      */
     double GetStateOfCharge() const;
 
     /**
-     * \return The interval between each energy update.
+     * @return The interval between each energy update.
      */
     Time GetEnergyUpdateInterval() const;
 
@@ -261,16 +261,16 @@
      *  It consider different discharge curves for different discharge currents
      *  and the remaining energy of the battery.
      *
-     *  \param current The actual discharge current value (+i).
-     *  \return The voltage of the battery.
+     *  @param current The actual discharge current value (+i).
+     *  @return The voltage of the battery.
      */
     double GetVoltage(double current);
 
     /**
      *  Obtain the battery voltage as a result of a charge current.
      *
-     *  \param current The actual charge current value (-i).
-     *  \return The voltage of the battery.
+     *  @param current The actual charge current value (-i).
+     *  @return The voltage of the battery.
      */
     double GetChargeVoltage(double current);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/li-ion-energy-source.cc ns-3.44/src/energy/model/li-ion-energy-source.cc
--- ns-3.43/src/energy/model/li-ion-energy-source.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/li-ion-energy-source.cc	2025-03-09 16:55:49.375371000 -0700
@@ -92,7 +92,7 @@
                           MakeDoubleChecker<double>())
             .AddAttribute("PeriodicEnergyUpdateInterval",
                           "Time between two consecutive periodic energy updates.",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&LiIonEnergySource::SetEnergyUpdateInterval,
                                            &LiIonEnergySource::GetEnergyUpdateInterval),
                           MakeTimeChecker())
@@ -105,7 +105,7 @@
 
 LiIonEnergySource::LiIonEnergySource()
     : m_drainedCapacity(0.0),
-      m_lastUpdateTime(Seconds(0.0))
+      m_lastUpdateTime()
 {
     NS_LOG_FUNCTION(this);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/li-ion-energy-source.h ns-3.44/src/energy/model/li-ion-energy-source.h
--- ns-3.43/src/energy/model/li-ion-energy-source.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/li-ion-energy-source.h	2025-03-09 16:55:49.375371000 -0700
@@ -22,8 +22,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Model a generic Lithium Ion Battery basing on [1][2].
+ * @ingroup energy
+ * @brief Model a generic Lithium Ion Battery basing on [1][2].
  *
  * The model can be fitted to any type of Li-Ion Battery, simply changing the
  * model parameters.
@@ -74,22 +74,22 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     LiIonEnergySource();
     ~LiIonEnergySource() override;
 
     /**
-     * \return Initial energy stored in energy source, in Joules.
+     * @return Initial energy stored in energy source, in Joules.
      *
      * Implements GetInitialEnergy.
      */
     double GetInitialEnergy() const override;
 
     /**
-     * \param initialEnergyJ Initial energy, in Joules
+     * @param initialEnergyJ Initial energy, in Joules
      *
      * Implements SetInitialEnergy. Note that initial energy is assumed to be set
      * before simulation starts and is set only once per simulation.
@@ -97,14 +97,14 @@
     void SetInitialEnergy(double initialEnergyJ);
 
     /**
-     * \returns Supply voltage at the energy source.
+     * @returns Supply voltage at the energy source.
      *
      * Implements GetSupplyVoltage.
      */
     double GetSupplyVoltage() const override;
 
     /**
-     * \param supplyVoltageV Initial Supply voltage at the energy source, in Volts.
+     * @param supplyVoltageV Initial Supply voltage at the energy source, in Volts.
      *
      * Sets the initial supply voltage of the energy source.
      * To be called only once.
@@ -112,21 +112,21 @@
     void SetInitialSupplyVoltage(double supplyVoltageV);
 
     /**
-     * \return Remaining energy in energy source, in Joules
+     * @return Remaining energy in energy source, in Joules
      *
      * Implements GetRemainingEnergy.
      */
     double GetRemainingEnergy() override;
 
     /**
-     * \returns Energy fraction.
+     * @returns Energy fraction.
      *
      * Implements GetEnergyFraction.
      */
     double GetEnergyFraction() override;
 
     /**
-     * \param energyJ Amount of energy (in Joules) to decrease from energy source.
+     * @param energyJ Amount of energy (in Joules) to decrease from energy source.
      *
      * Implements DecreaseRemainingEnergy.
      */
@@ -134,7 +134,7 @@
     virtual void DecreaseRemainingEnergy(double energyJ);
 
     /**
-     * \param energyJ Amount of energy (in Joules) to increase from energy source.
+     * @param energyJ Amount of energy (in Joules) to increase from energy source.
      *
      * Implements IncreaseRemainingEnergy.
      */
@@ -147,14 +147,14 @@
     void UpdateEnergySource() override;
 
     /**
-     * \param interval Energy update interval.
+     * @param interval Energy update interval.
      *
      * This function sets the interval between each energy update.
      */
     void SetEnergyUpdateInterval(Time interval);
 
     /**
-     * \returns The interval between each energy update.
+     * @returns The interval between each energy update.
      */
     Time GetEnergyUpdateInterval() const;
 
@@ -184,8 +184,8 @@
      * It consider different discharge curves for different discharge currents
      * and the remaining energy of the cell.
      *
-     * \param current the actual discharge current value.
-     * \return the cell voltage
+     * @param current the actual discharge current value.
+     * @return the cell voltage
      */
     double GetVoltage(double current) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/rv-battery-model.cc ns-3.44/src/energy/model/rv-battery-model.cc
--- ns-3.43/src/energy/model/rv-battery-model.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/rv-battery-model.cc	2025-03-09 16:55:49.375371000 -0700
@@ -35,7 +35,7 @@
             .AddConstructor<RvBatteryModel>()
             .AddAttribute("RvBatteryModelPeriodicEnergyUpdateInterval",
                           "RV battery model sampling interval.",
-                          TimeValue(Seconds(1.0)),
+                          TimeValue(Seconds(1)),
                           MakeTimeAccessor(&RvBatteryModel::SetSamplingInterval,
                                            &RvBatteryModel::GetSamplingInterval),
                           MakeTimeChecker())
@@ -90,7 +90,7 @@
     m_timeStamps.push_back(m_lastSampleTime);
     m_previousLoad = -1.0;
     m_batteryLevel = 1; // fully charged
-    m_lifetime = Seconds(0.0);
+    m_lifetime = Seconds(0);
 }
 
 RvBatteryModel::~RvBatteryModel()
@@ -336,7 +336,7 @@
     if (m_timeStamps.size() == 1)
     {
         // constant load
-        calculatedAlpha = m_load[0] * RvModelAFunction(t, t, Seconds(0.0), m_beta);
+        calculatedAlpha = m_load[0] * RvModelAFunction(t, t, Seconds(0), m_beta);
     }
     else
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/rv-battery-model.h ns-3.44/src/energy/model/rv-battery-model.h
--- ns-3.43/src/energy/model/rv-battery-model.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/rv-battery-model.h	2025-03-09 16:55:49.375371000 -0700
@@ -21,8 +21,8 @@
 {
 
 /**
- * \ingroup energy
- * \brief Rakhmatov Vrudhula non-linear battery model.
+ * @ingroup energy
+ * @brief Rakhmatov Vrudhula non-linear battery model.
  *
  * This (energy source) model implements an analytical non-linear battery model.
  * It is capable of capturing load capacity and recovery effects of batteries.
@@ -43,36 +43,36 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     RvBatteryModel();
     ~RvBatteryModel() override;
 
     /**
-     * \return Initial energy stored (theoretical capacity) in the battery, in Joules.
+     * @return Initial energy stored (theoretical capacity) in the battery, in Joules.
      *
      * Implements GetInitialEnergy.
      */
     double GetInitialEnergy() const override;
 
     /**
-     * \returns Supply voltage at the energy source.
+     * @returns Supply voltage at the energy source.
      *
      * Implements GetSupplyVoltage.
      */
     double GetSupplyVoltage() const override;
 
     /**
-     * \return Remaining energy in energy source, in Joules
+     * @return Remaining energy in energy source, in Joules
      *
      * Implements GetRemainingEnergy.
      */
     double GetRemainingEnergy() override;
 
     /**
-     * \returns Energy fraction.
+     * @returns Energy fraction.
      *
      * Implements GetEnergyFraction. For the RV battery model, energy fraction is
      * equivalent to battery level.
@@ -86,85 +86,85 @@
     void UpdateEnergySource() override;
 
     /**
-     * \param interval Energy update interval.
+     * @param interval Energy update interval.
      *
      * This function sets the interval between each energy update.
      */
     void SetSamplingInterval(Time interval);
 
     /**
-     * \returns The interval between each energy update.
+     * @returns The interval between each energy update.
      */
     Time GetSamplingInterval() const;
 
     /**
-     * \brief Sets open circuit voltage of battery.
+     * @brief Sets open circuit voltage of battery.
      *
-     * \param voltage Open circuit voltage.
+     * @param voltage Open circuit voltage.
      */
     void SetOpenCircuitVoltage(double voltage);
 
     /**
-     * \return Open circuit voltage of battery.
+     * @return Open circuit voltage of battery.
      */
     double GetOpenCircuitVoltage() const;
 
     /**
-     * \brief Sets cutoff voltage of battery.
+     * @brief Sets cutoff voltage of battery.
      *
-     * \param voltage Cutoff voltage.
+     * @param voltage Cutoff voltage.
      */
     void SetCutoffVoltage(double voltage);
 
     /**
-     * \returns Cutoff voltage of battery.
+     * @returns Cutoff voltage of battery.
      */
     double GetCutoffVoltage() const;
 
     /**
-     * \brief Sets the alpha value for the battery model.
+     * @brief Sets the alpha value for the battery model.
      *
-     * \param alpha Alpha.
+     * @param alpha Alpha.
      */
     void SetAlpha(double alpha);
 
     /**
-     * \returns The alpha value used by the battery model.
+     * @returns The alpha value used by the battery model.
      */
     double GetAlpha() const;
 
     /**
-     * \brief Sets the beta value for the battery model.
+     * @brief Sets the beta value for the battery model.
      *
-     * \param beta Beta.
+     * @param beta Beta.
      */
     void SetBeta(double beta);
 
     /**
-     * \returns The beta value used by the battery model.
+     * @returns The beta value used by the battery model.
      */
     double GetBeta() const;
 
     /**
-     * \returns Battery level [0, 1].
+     * @returns Battery level [0, 1].
      */
     double GetBatteryLevel();
 
     /**
-     * \returns Lifetime of the battery.
+     * @returns Lifetime of the battery.
      */
     Time GetLifetime() const;
 
     /**
-     * \brief Sets the number of terms of the infinite sum for estimating battery
+     * @brief Sets the number of terms of the infinite sum for estimating battery
      * level.
      *
-     * \param num Number of terms.
+     * @param num Number of terms.
      */
     void SetNumOfTerms(int num);
 
     /**
-     * \returns The number of terms of the infinite sum for estimating battery
+     * @returns The number of terms of the infinite sum for estimating battery
      * level.
      */
     int GetNumOfTerms() const;
@@ -184,11 +184,11 @@
     void HandleEnergyDrainedEvent();
 
     /**
-     * \brief Discharges the battery.
+     * @brief Discharges the battery.
      *
-     * \param load Load value (total current form devices, in mA).
-     * \param t Time stamp of the load value.
-     * \returns Calculated alpha value.
+     * @param load Load value (total current form devices, in mA).
+     * @param t Time stamp of the load value.
+     * @returns Calculated alpha value.
      *
      * Discharge function calculates a value which is then compared to the alpha
      * value to determine if the battery is dead. It will also update the battery
@@ -199,13 +199,13 @@
     double Discharge(double load, Time t);
 
     /**
-     * \brief RV model A function.
+     * @brief RV model A function.
      *
-     * \param t Current time.
-     * \param sk Time stamp in array position k
-     * \param sk_1 Time stamp in array position k-1
-     * \param beta Beta value used by the battery model.
-     * \returns Result of A function.
+     * @param t Current time.
+     * @param sk Time stamp in array position k
+     * @param sk_1 Time stamp in array position k-1
+     * @param beta Beta value used by the battery model.
+     * @returns Result of A function.
      *
      * This function computes alpha value using the recorded load profile.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/simple-device-energy-model.cc ns-3.44/src/energy/model/simple-device-energy-model.cc
--- ns-3.43/src/energy/model/simple-device-energy-model.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/simple-device-energy-model.cc	2025-03-09 16:55:49.375371000 -0700
@@ -41,7 +41,7 @@
 SimpleDeviceEnergyModel::SimpleDeviceEnergyModel()
 {
     NS_LOG_FUNCTION(this);
-    m_lastUpdateTime = Seconds(0.0);
+    m_lastUpdateTime = Seconds(0);
     m_actualCurrentA = 0.0;
     m_source = nullptr;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/model/simple-device-energy-model.h ns-3.44/src/energy/model/simple-device-energy-model.h
--- ns-3.43/src/energy/model/simple-device-energy-model.h	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/model/simple-device-energy-model.h	2025-03-09 16:55:49.375371000 -0700
@@ -20,7 +20,7 @@
 {
 
 /**
- * \ingroup energy
+ * @ingroup energy
  *
  * A simple device energy model where current drain can be set by the user.
  *
@@ -31,49 +31,49 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     SimpleDeviceEnergyModel();
     ~SimpleDeviceEnergyModel() override;
 
     /**
-     * \brief Sets pointer to node.
+     * @brief Sets pointer to node.
      *
-     * \param node Pointer to node.
+     * @param node Pointer to node.
      *
      * Implements DeviceEnergyModel::SetNode.
      */
     virtual void SetNode(Ptr<Node> node);
 
     /**
-     * \brief Gets pointer to node.
+     * @brief Gets pointer to node.
      *
-     * \returns Pointer to node.
+     * @returns Pointer to node.
      *
      * Implements DeviceEnergyModel::GetNode.
      */
     virtual Ptr<Node> GetNode() const;
 
     /**
-     * \brief Sets pointer to EnergySource installed on node.
+     * @brief Sets pointer to EnergySource installed on node.
      *
-     * \param source Pointer to EnergySource installed on node.
+     * @param source Pointer to EnergySource installed on node.
      *
      * Implements DeviceEnergyModel::SetEnergySource.
      */
     void SetEnergySource(Ptr<EnergySource> source) override;
 
     /**
-     * \returns Total energy consumption of the vehicle.
+     * @returns Total energy consumption of the vehicle.
      *
      * Implements DeviceEnergyModel::GetTotalEnergyConsumption.
      */
     double GetTotalEnergyConsumption() const override;
 
     /**
-     * \param newState New state the device is in.
+     * @param newState New state the device is in.
      *
      * Not implemented
      */
@@ -82,7 +82,7 @@
     }
 
     /**
-     * \brief Handles energy depletion.
+     * @brief Handles energy depletion.
      *
      * Not implemented
      */
@@ -91,7 +91,7 @@
     }
 
     /**
-     * \brief Handles energy recharged.
+     * @brief Handles energy recharged.
      *
      * Not implemented
      */
@@ -100,7 +100,7 @@
     }
 
     /**
-     * \brief Handles energy changed.
+     * @brief Handles energy changed.
      *
      * Not implemented
      */
@@ -109,7 +109,7 @@
     }
 
     /**
-     * \param current the current draw of device.
+     * @param current the current draw of device.
      *
      * Set the actual current draw of the device.
      */
@@ -119,7 +119,7 @@
     void DoDispose() override;
 
     /**
-     * \returns Current draw of device, at current state.
+     * @returns Current draw of device, at current state.
      *
      * Implements DeviceEnergyModel::GetCurrentA.
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/test/basic-energy-harvester-test.cc ns-3.44/src/energy/test/basic-energy-harvester-test.cc
--- ns-3.43/src/energy/test/basic-energy-harvester-test.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/test/basic-energy-harvester-test.cc	2025-03-09 16:55:49.375371000 -0700
@@ -23,9 +23,9 @@
 NS_LOG_COMPONENT_DEFINE("BasicEnergyHarvesterTestSuite");
 
 /**
- * \ingroup energy-tests
+ * @ingroup energy-tests
  *
- * \brief Energy Harvester Test
+ * @brief Energy Harvester Test
  */
 class BasicEnergyHarvesterTestCase : public TestCase
 {
@@ -112,9 +112,9 @@
 }
 
 /**
- * \ingroup energy-tests
+ * @ingroup energy-tests
  *
- * \brief Energy harvester TestSuite
+ * @brief Energy harvester TestSuite
  */
 class BasicEnergyHarvesterTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/energy/test/li-ion-energy-source-test.cc ns-3.44/src/energy/test/li-ion-energy-source-test.cc
--- ns-3.43/src/energy/test/li-ion-energy-source-test.cc	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/energy/test/li-ion-energy-source-test.cc	2025-03-09 16:55:49.375371000 -0700
@@ -31,9 +31,9 @@
 NS_LOG_COMPONENT_DEFINE("LiIonEnergySourceTestSuite");
 
 /**
- * \ingroup energy-tests
+ * @ingroup energy-tests
  *
- * \brief LiIon battery Test
+ * @brief LiIon battery Test
  */
 class LiIonEnergyTestCase : public TestCase
 {
@@ -86,9 +86,9 @@
 }
 
 /**
- * \ingroup energy-tests
+ * @ingroup energy-tests
  *
- * \brief LiIon battery TestSuite
+ * @brief LiIon battery TestSuite
  */
 class LiIonEnergySourceTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/CMakeLists.txt ns-3.44/src/fd-net-device/CMakeLists.txt
--- ns-3.43/src/fd-net-device/CMakeLists.txt	2024-10-09 16:41:09.872655900 -0700
+++ ns-3.44/src/fd-net-device/CMakeLists.txt	2025-03-09 16:55:49.375371000 -0700
@@ -309,11 +309,11 @@
 
   if(${ENABLE_DPDKDEVNET})
     target_include_directories(
-      ${libfd-net-device-obj}
+      ${libfd-net-device}
       PRIVATE ${DPDK_INCLUDE_DIRS}
     )
     target_compile_options(
-      ${libfd-net-device-obj}
+      ${libfd-net-device}
       PRIVATE ${DPDK_CFLAGS}
     )
   endif()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/dummy-network.cc ns-3.44/src/fd-net-device/examples/dummy-network.cc
--- ns-3.43/src/fd-net-device/examples/dummy-network.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/dummy-network.cc	2025-03-09 16:55:49.375371000 -0700
@@ -57,8 +57,8 @@
     app->SetAttribute("Destination", AddressValue(interfaces.GetAddress(0)));
     app->SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
     nodes.Get(1)->AddApplication(app);
-    app->SetStartTime(Seconds(0.0));
-    app->SetStopTime(Seconds(4.0));
+    app->SetStartTime(Seconds(0));
+    app->SetStopTime(Seconds(4));
 
     fd.EnablePcapAll("dummy-network", true);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd2fd-onoff.cc ns-3.44/src/fd-net-device/examples/fd2fd-onoff.cc
--- ns-3.43/src/fd-net-device/examples/fd2fd-onoff.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd2fd-onoff.cc	2025-03-09 16:55:49.375371000 -0700
@@ -109,8 +109,8 @@
 
     PacketSinkHelper sinkHelper(factory, sinkLocalAddress);
     ApplicationContainer sinkApp = sinkHelper.Install(serverNode);
-    sinkApp.Start(Seconds(0.0));
-    sinkApp.Stop(Seconds(30.0));
+    sinkApp.Start(Seconds(0));
+    sinkApp.Stop(Seconds(30));
     fd.EnablePcap("fd2fd-onoff-server", serverDevice);
 
     // client
@@ -122,11 +122,11 @@
     onoff.SetAttribute("DataRate", DataRateValue(dataRate));
     onoff.SetAttribute("PacketSize", UintegerValue(packetSize));
     ApplicationContainer clientApps = onoff.Install(clientNode);
-    clientApps.Start(Seconds(2.0));
-    clientApps.Stop(Seconds(29.0));
+    clientApps.Start(Seconds(2));
+    clientApps.Stop(Seconds(29));
     fd.EnablePcap("fd2fd-onoff-client", clientDevice);
 
-    Simulator::Stop(Seconds(30.0));
+    Simulator::Stop(Seconds(30));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-emu-onoff.cc ns-3.44/src/fd-net-device/examples/fd-emu-onoff.cc
--- ns-3.43/src/fd-net-device/examples/fd-emu-onoff.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-emu-onoff.cc	2025-03-09 16:55:49.375371000 -0700
@@ -245,8 +245,8 @@
         Address sinkLocalAddress(InetSocketAddress(localIp, sinkPort));
         PacketSinkHelper sinkHelper(socketType, sinkLocalAddress);
         ApplicationContainer sinkApp = sinkHelper.Install(node);
-        sinkApp.Start(Seconds(1.0));
-        sinkApp.Stop(Seconds(60.0));
+        sinkApp.Start(Seconds(1));
+        sinkApp.Stop(Seconds(60));
 
         helper->EnablePcap("fd-server", device);
     }
@@ -261,13 +261,13 @@
         onoff.SetAttribute("PacketSize", UintegerValue(packetSize));
 
         ApplicationContainer clientApps = onoff.Install(node);
-        clientApps.Start(Seconds(4.0));
-        clientApps.Stop(Seconds(58.0));
+        clientApps.Start(Seconds(4));
+        clientApps.Stop(Seconds(58));
 
         helper->EnablePcap("fd-client", device);
     }
 
-    Simulator::Stop(Seconds(61.0));
+    Simulator::Stop(Seconds(61));
     Simulator::Run();
     Simulator::Destroy();
     delete helper;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-emu-ping.cc ns-3.44/src/fd-net-device/examples/fd-emu-ping.cc
--- ns-3.43/src/fd-net-device/examples/fd-emu-ping.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-emu-ping.cc	2025-03-09 16:55:49.375371000 -0700
@@ -263,8 +263,8 @@
     app->SetAttribute("Destination", AddressValue(remoteIp));
     app->SetAttribute("VerboseMode", EnumValue(Ping::VerboseMode::VERBOSE));
     node->AddApplication(app);
-    app->SetStartTime(Seconds(1.0));
-    app->SetStopTime(Seconds(22.0));
+    app->SetStartTime(Seconds(1));
+    app->SetStopTime(Seconds(22));
 
     //
     // Give the application a name.  This makes life much easier when constructing
@@ -286,7 +286,7 @@
     // Now, do the actual emulation.
     //
     NS_LOG_INFO("Run Emulation in " << emuMode << " mode.");
-    Simulator::Stop(Seconds(23.0));
+    Simulator::Stop(Seconds(23));
     Simulator::Run();
     Simulator::Destroy();
     delete helper;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-emu-send.cc ns-3.44/src/fd-net-device/examples/fd-emu-send.cc
--- ns-3.43/src/fd-net-device/examples/fd-emu-send.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-emu-send.cc	2025-03-09 16:55:49.375371000 -0700
@@ -181,7 +181,7 @@
     Simulator::Schedule(Seconds(3), &Send, device, level, emuMode);
 
     NS_LOG_INFO("Run Emulation.");
-    Simulator::Stop(Seconds(6.0));
+    Simulator::Stop(Seconds(6));
     Simulator::Run();
     Simulator::Destroy();
     delete helper;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-emu-tc.cc ns-3.44/src/fd-net-device/examples/fd-emu-tc.cc
--- ns-3.43/src/fd-net-device/examples/fd-emu-tc.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-emu-tc.cc	2025-03-09 16:55:49.375371000 -0700
@@ -299,7 +299,7 @@
     }
 
     NS_LOG_INFO("Run Emulation.");
-    Simulator::Stop(Seconds(50.0));
+    Simulator::Stop(Seconds(50));
     Simulator::Run();
     Simulator::Destroy();
     delete helper0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-emu-udp-echo.cc ns-3.44/src/fd-net-device/examples/fd-emu-udp-echo.cc
--- ns-3.43/src/fd-net-device/examples/fd-emu-udp-echo.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-emu-udp-echo.cc	2025-03-09 16:55:49.375371000 -0700
@@ -169,7 +169,7 @@
         NS_LOG_INFO("Create Applications.");
         UdpEchoServerHelper server(9);
         apps = server.Install(n.Get(0));
-        apps.Start(Seconds(1.0));
+        apps.Start(Seconds(1));
         apps.Stop(Seconds(stopTime));
     }
     else if (clientMode)
@@ -185,7 +185,7 @@
         client.SetAttribute("Interval", TimeValue(interPacketInterval));
         client.SetAttribute("PacketSize", UintegerValue(packetSize));
         apps = client.Install(n.Get(0));
-        apps.Start(Seconds(2.0));
+        apps.Start(Seconds(2));
         apps.Stop(Seconds(stopTime));
     }
     else
@@ -196,7 +196,7 @@
         NS_LOG_INFO("Create Applications.");
         UdpEchoServerHelper server(9);
         apps = server.Install(n.Get(1));
-        apps.Start(Seconds(1.0));
+        apps.Start(Seconds(1));
         apps.Stop(Seconds(stopTime));
 
         //
@@ -210,7 +210,7 @@
         client.SetAttribute("Interval", TimeValue(interPacketInterval));
         client.SetAttribute("PacketSize", UintegerValue(packetSize));
         apps = client.Install(n.Get(0));
-        apps.Start(Seconds(2.0));
+        apps.Start(Seconds(2));
         apps.Stop(Seconds(stopTime));
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/fd-net-device/examples/fd-tap-ping6.cc ns-3.44/src/fd-net-device/examples/fd-tap-ping6.cc
--- ns-3.43/src/fd-net-device/examples/fd-tap-ping6.cc	2024-10-09 16:41:09.876655800 -0700
+++ ns-3.44/src/fd-net-device/examples/fd-tap-ping6.cc	2025-03-09 16:55:49.375371000 -0700
@@ -124,7 +124,7 @@
     //
     uint32_t packetSize = 1024;
     uint32_t maxPacketCount = 1;
-    Time interPacketInterval = Seconds(1.0);
+    Time interPacketInterval = Seconds(1);
 
     PingHelper ping(Ipv6Address(tapIp.c_str()));
     ping.SetAttribute("Count", UintegerValue(maxPacketCount));
@@ -140,8 +140,8 @@
     // ping6.SetAttribute("Interval", TimeValue(interPacketInterval));
     // ping6.SetAttribute("PacketSize", UintegerValue(packetSize));
     // ApplicationContainer apps = ping6.Install(n);
-    apps.Start(Seconds(2.0));
-    apps.Stop(Seconds(20.0));
+    apps.Start(Seconds(2));
+    apps.Stop(Seconds(20));
 
     AsciiTraceHelper ascii;
     csma.EnableAsciiAll(ascii.CreateFileStream("csma-ping6.tr"));
@@ -156,7 +156,7 @@
     // Run the experiment.
     //
     NS_LOG_INFO("Run Emulation.");
-    Simulator::Stop(Seconds(200.0));
+    Simulator::Stop(Seconds(200));
     Simulator::Run();
     Simulator::Destroy();
     NS_LOG_INFO("Done.");
